package cn.superdesk.uniorder.dao.mapper.invoice.supplier;

import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplierXGoods;
import cn.superdesk.uniorder.dao.entity.invoice.supplier.InvoiceApplySupplierXGoodsExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface InvoiceApplySupplierXGoodsMapper {
	long countByExample(InvoiceApplySupplierXGoodsExample example);

	int deleteByExample(InvoiceApplySupplierXGoodsExample example);

	int deleteByPrimaryKey(Long id);

	int insert(InvoiceApplySupplierXGoods record);

	int insertSelective(InvoiceApplySupplierXGoods record);

	List<InvoiceApplySupplierXGoods> selectByExample(InvoiceApplySupplierXGoodsExample example);

	InvoiceApplySupplierXGoods selectByPrimaryKey(Long id);

	int updateByExampleSelective(@Param("record") InvoiceApplySupplierXGoods record, @Param("example") InvoiceApplySupplierXGoodsExample example);

	int updateByExample(@Param("record") InvoiceApplySupplierXGoods record, @Param("example") InvoiceApplySupplierXGoodsExample example);

	int updateByPrimaryKeySelective(InvoiceApplySupplierXGoods record);

	int updateByPrimaryKey(InvoiceApplySupplierXGoods record);
}